#from django.shortcuts import render

from django.http import HttpResponse
from django.template import RequestContext, loader

from matecnt.models import Drinker, Drink

def users(request):
    #drinkers = Drinker.objects.all()
    drinkers = Drinker.objects.order_by('credit')[:5]
    template = loader.get_template('users.html')

    context = RequestContext(request, {
        'heading': 'User list',
        'drinkers': drinkers,
    })
    return HttpResponse(template.render(context))

def drinks(request):
    drinks = Drink.objects.order_by('prize')
    template = loader.get_template('drinks.html')

    context = RequestContext(request, {
        'heading': 'Drink list',
        'drinks': drinks,
    })
    return HttpResponse(template.render(context))
